com.sun.grid.jgdi.configuration.reflect

## Class PropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

- Direct Known Subclasses:
    ListPropertyDescriptor, MapListPropertyDescriptor, MapPropertyDescriptor, SimplePropertyDescriptor

      public abstract class PropertyDescriptor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, int cullFieldName, boolean readOnly, boolean configurable)` Creates a new instance of PropertyDescriptor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `clone(java.lang.Object srcBean, java.lang.Object targetBean)`
    `boolean` | `equals(java.lang.Object obj)`
    `protected java.lang.reflect.Method` | `findMethod(java.lang.String prefix, java.lang.Class[] argTypes)`
    `protected java.lang.reflect.Method` | `findMethod(java.lang.String prefix, java.lang.String suffix, java.lang.Class[] argTypes)`
    `java.lang.Class` | `getBeanClass()` Getter for property beanClass.
    `int` | `getCullContentField()`
    `int` | `getCullFieldName()`
    `java.lang.String` | `getCullType()`
    `java.lang.String` | `getJNIPropertyType()`
    `java.lang.String` | `getPropertyName()` Getter for property propertyName.
    `java.lang.Class` | `getPropertyType()` Getter for property propertyType.
    `boolean` | `hasCullWrapper()`
    `int` | `hashCode()`
    `protected java.lang.Object` | `invoke(java.lang.reflect.Method method, java.lang.Object bean, java.lang.Object[] args)`
    `boolean` | `isBrowsable()` Getter for property browsable.
    `boolean` | `isConfigurable()`
    `boolean` | `isReadOnly()`
    `boolean` | `isSet(java.lang.Object bean)`
    `void` | `setBrowsable(boolean browsable)` Setter for property browsable.
    `void` | `setConfigurable(boolean configurable)`
    `void` | `setCullContentField(int cullContentField)`
    `void` | `setHasCullWrapper(boolean hasCullWrapper)`
    `void` | `setReadOnly(boolean readOnly)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyDescriptor

          protected PropertyDescriptor(java.lang.Class beanClass,
                                       java.lang.String propertyName,
                                       java.lang.Class propertyType,
                                       java.lang.String cullType,
                                       int cullFieldName,
                                       boolean readOnly,
                                       boolean configurable)

      Creates a new instance of PropertyDescriptor

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### findMethod

          protected java.lang.reflect.Method findMethod(java.lang.String prefix,
                                                        java.lang.String suffix,
                                                        java.lang.Class[] argTypes)

    - #### findMethod

          protected java.lang.reflect.Method findMethod(java.lang.String prefix,
                                                        java.lang.Class[] argTypes)

    - #### invoke

          protected java.lang.Object invoke(java.lang.reflect.Method method,
                                            java.lang.Object bean,
                                            java.lang.Object[] args)

    - #### getPropertyType

          public java.lang.Class getPropertyType()

      Getter for property propertyType.
      Returns:
        Value of property propertyType.

    - #### getCullType

          public java.lang.String getCullType()

    - #### getJNIPropertyType

          public java.lang.String getJNIPropertyType()

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Getter for property propertyName.
      Returns:
        Value of property propertyName.

    - #### getCullFieldName

          public int getCullFieldName()

    - #### getBeanClass

          public java.lang.Class getBeanClass()

      Getter for property beanClass.
      Returns:
        Value of property beanClass.

    - #### clone

          public abstract void clone(java.lang.Object srcBean,
                                     java.lang.Object targetBean)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly(boolean readOnly)

    - #### isConfigurable

          public boolean isConfigurable()

    - #### setConfigurable

          public void setConfigurable(boolean configurable)

    - #### isBrowsable

          public boolean isBrowsable()

      Getter for property browsable.
      Returns:
        Value of property browsable.

    - #### setBrowsable

          public void setBrowsable(boolean browsable)

      Setter for property browsable.
      Parameters:
        `browsable` - New value of property browsable.

    - #### hasCullWrapper

          public boolean hasCullWrapper()

    - #### setHasCullWrapper

          public void setHasCullWrapper(boolean hasCullWrapper)

    - #### getCullContentField

          public int getCullContentField()

    - #### setCullContentField

          public void setCullContentField(int cullContentField)

    - #### isSet

          public boolean isSet(java.lang.Object bean)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.